"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
function _default() {
  return {
    description: 'Handle double commas in 700$e-subfields',
    validate: record => ({
      valid: !record.get(/^700$/u).some(f => f.subfields.every(sf => sf.code === 'e' && /,,/u.test(sf.value)))
    }),
    fix: record => record.get(/^700$/u).forEach(f => f.subfields.filter(sf => sf.code === 'e').forEach(sf => {
      sf.value = sf.value.replace(/,,/u, ','); // eslint-disable-line functional/immutable-data
    }))
  };
}
//# sourceMappingURL=double-commas.js.map