"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
var _clone = _interopRequireDefault(require("clone"));
var _utils = require("./utils");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
//import createDebugLogger from 'debug';

// Author(s): Nicholas Volk
function _default() {
  return {
    description: 'Normalize various dashes to "-"',
    validate,
    fix
  };
  function fix(record) {
    (0, _utils.nvdebug)(`FIX ME`);
    record.fields.forEach(field => {
      fixDashes(field);
    });
    const res = {
      message: [],
      fix: [],
      valid: true
    };
    return res;
  }
  function validate(record) {
    const res = {
      message: []
    };
    (0, _utils.nvdebug)(`VALIDATE ME`);
    record.fields?.forEach(field => {
      validateField(field, res);
    });
    res.valid = !(res.message.length >= 1); // eslint-disable-line functional/immutable-data
    return res;
  }
  function validateField(field, res) {
    const orig = (0, _utils.fieldToString)(field);
    (0, _utils.nvdebug)(` VALIDATE FIELD '${orig}'`);
    const normalizedField = fixDashes((0, _clone.default)(field));
    const mod = (0, _utils.fieldToString)(normalizedField);
    if (orig === mod) {
      // Fail as the input is "broken"/"crap"/sumthing
      return;
    }
    res.message.push(`'TODO: ${orig}' => '${mod}'`); // eslint-disable-line functional/immutable-data
    return;
  }
}
function fixDashes(field) {
  if (!field.subfields) {
    return field;
  }
  (0, _utils.nvdebug)(`Dashing ${(0, _utils.fieldToString)(field)}`);
  field.subfields.forEach(sf => subfieldFixDashes(sf));
  return field;
  function subfieldFixDashes(subfield) {
    if ((0, _utils.isControlSubfieldCode)(subfield.code)) {
      return;
    }
    // Normalize dashes U+2010 ... U+2015 to '-':
    subfield.value = subfield.value.replace(/[\u2010\u2011\u2012\u2013\u2014\u2015]/ug, '-'); // eslint-disable-line functional/immutable-data
  }
}
//# sourceMappingURL=normalize-dashes.js.map