"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
var _punctuation = require("./punctuation2");
var _utils = require("./utils");
/*
* stripPunctuation.js -- try and remove a marc field punctuation (based on and reverse of punctuation2.js)
*
* Author(s): Nicholas Volk <nicholas.volk@helsinki.fi>
*
*/

// import createDebugLogger from 'debug';

// const debug = createDebugLogger('@natlibfi/marc-record-validators-melinda/punctuation2');

function _default() {
  return {
    description: 'Strip punctuation to data fields',
    validate,
    fix
  };
  function fix(record) {
    (0, _utils.nvdebug)('Strip punctuation to data fields: fixer');
    const res = {
      message: [],
      fix: [],
      valid: true
    };
    record.fields.forEach(f => (0, _punctuation.fieldStripPunctuation)(f));
    return res;
  }
  function validate(record) {
    (0, _utils.nvdebug)('Strip punctuation to data fields: validate');
    const fieldsNeedingModification = record.fields.filter(f => (0, _punctuation.fieldNeedsModification)(f, false));
    const values = fieldsNeedingModification.map(f => (0, _utils.fieldToString)(f));
    const newValues = fieldsNeedingModification.map(f => (0, _punctuation.fieldGetFixedString)(f, false));
    const messages = values.map((val, i) => `'${val}' => '${newValues[i]}'`);
    const res = {
      message: messages
    };
    res.valid = res.message.length < 1; // eslint-disable-line functional/immutable-data
    return res;
  }
}
//# sourceMappingURL=stripPunctuation.js.map